# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/SecurityPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SecurityPage(object):
    def setupUi(self, SecurityPage):
        SecurityPage.setObjectName("SecurityPage")
        SecurityPage.resize(400, 250)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(SecurityPage)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.headerLabel = QtWidgets.QLabel(parent=SecurityPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_3.addWidget(self.headerLabel)
        self.line1 = QtWidgets.QFrame(parent=SecurityPage)
        self.line1.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line1.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line1.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line1.setObjectName("line1")
        self.verticalLayout_3.addWidget(self.line1)
        self.groupBox = QtWidgets.QGroupBox(parent=SecurityPage)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.savePasswordsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.savePasswordsCheckBox.setObjectName("savePasswordsCheckBox")
        self.verticalLayout.addWidget(self.savePasswordsCheckBox)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.mainPasswordCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.mainPasswordCheckBox.setObjectName("mainPasswordCheckBox")
        self.horizontalLayout.addWidget(self.mainPasswordCheckBox)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.mainPasswordButton = QtWidgets.QPushButton(parent=self.groupBox)
        self.mainPasswordButton.setEnabled(False)
        self.mainPasswordButton.setObjectName("mainPasswordButton")
        self.horizontalLayout.addWidget(self.mainPasswordButton)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.verticalLayout_3.addWidget(self.groupBox)
        self.certificateErrorsGroup = QtWidgets.QGroupBox(parent=SecurityPage)
        self.certificateErrorsGroup.setObjectName("certificateErrorsGroup")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.certificateErrorsGroup)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.alwaysRejectCheckBox = QtWidgets.QCheckBox(parent=self.certificateErrorsGroup)
        self.alwaysRejectCheckBox.setObjectName("alwaysRejectCheckBox")
        self.verticalLayout_2.addWidget(self.alwaysRejectCheckBox)
        self.verticalLayout_3.addWidget(self.certificateErrorsGroup)
        spacerItem1 = QtWidgets.QSpacerItem(20, 113, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_3.addItem(spacerItem1)

        self.retranslateUi(SecurityPage)
        QtCore.QMetaObject.connectSlotsByName(SecurityPage)
        SecurityPage.setTabOrder(self.savePasswordsCheckBox, self.mainPasswordCheckBox)
        SecurityPage.setTabOrder(self.mainPasswordCheckBox, self.mainPasswordButton)

    def retranslateUi(self, SecurityPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("SecurityPage", "<b>Configure security settings</b>"))
        self.groupBox.setTitle(_translate("SecurityPage", "Passwords"))
        self.savePasswordsCheckBox.setToolTip(_translate("SecurityPage", "Select to save passwords"))
        self.savePasswordsCheckBox.setText(_translate("SecurityPage", "Save passwords"))
        self.mainPasswordCheckBox.setToolTip(_translate("SecurityPage", "Select to use a main password"))
        self.mainPasswordCheckBox.setText(_translate("SecurityPage", "Use Main Password"))
        self.mainPasswordButton.setToolTip(_translate("SecurityPage", "Press to change the main password"))
        self.mainPasswordButton.setText(_translate("SecurityPage", "Change Main Password..."))
        self.certificateErrorsGroup.setTitle(_translate("SecurityPage", "Certificate Errors"))
        self.alwaysRejectCheckBox.setToolTip(_translate("SecurityPage", "Select to always reject web pages with certificate issues"))
        self.alwaysRejectCheckBox.setText(_translate("SecurityPage", "Always reject URLs with certificate errors"))
